新手问题 微信开发者工具 Linux 版

pynix · 发布于 2016年6月21日 · 最后由 pynix 回复于 2016年12月31日 · 2854 次阅读
9800

微信搞了个开发者工具,看了一下只有windows版和mac版。

开发机是ubuntu,两个电脑只有一套键鼠,换来换去不方便,看了一下安装目录,原来是nw.js做的,这玩意,跨平台啊,腾讯不知道对linux有什么成见,没给linux打包。

既然跨平台就package.nw拷贝到linux试试看。

下载nw.js sdk版,因为需要devtool的支援

运行一下,果然工作了,不用换来换去了。。。。再次感谢nw.js

package.nw解压到nw-sdk根目录,然后 ./nw

共收到 18 条回复
1107

-1赞是咋做到的...

15307

不好意思 我来搞破坏了 所以他变成-1了 没有恶意, 只是想测试一下

14801

可以写个详细点的😘

9800

#4楼 @a4652097 就是把应用目录拷贝到linux,然后用linux的nw运行时来运行。。。。

17890

@pynix 谢谢你的教程, 已经跑起来了!

$ wget -c http://dl.nwjs.io/v0.15.3/nwjs-sdk-v0.15.3-linux-x64.tar.gz
$ ls
nwjs-sdk-v0.15.3-linux-x64.tar.gz package.nw.zip
$ tar -zxvf nwjs-sdk-v0.15.3-linux-x64.tar.gz
$ unzip package.nw.zip
$ mv package.nw/* nwjs-sdk-v0.15.3-linux-x64
$ cd nwjs-sdk-v0.15.3-linux-x64/
$ ./nw

# 即可启动

👍

9800

#9楼 @a4652097 这个头像貌似很难看出是nico

14801

#10楼 @pynix 不难啊。很明显

13楼 已删除
9800

百度云链接失效了,自己到windows下面解压吧。。。。

96

@pynix 请问大神有没有配置最新版0.11,我按照你的方法在linux mint 18 cinnamon下出现错误,ERROR:browser_plugin_guest.cc(440)] Attempting to require callback on nonexistent surface。当然现在微信小程序和微信web开发这工具是合二为一的,web工具可用,但是小程序工具出上述错误,结果是预览无法进行。如能帮忙解决,不胜感激。谢谢

9800

#15楼 @jerry79 小程序无解。。。

96

各位 大神, package.nw.zip 怎么来的

9800

#17楼 @ycv windows安装打包。。来的。。。。。。。

9800

#15楼 @jerry79 小程序需要编译器,貌似是exe,没有给linux构建。。。。。。。

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册